<?xml version='1.0'?>
<!-- 
  Simple XSLT example used to create HTML frame around page and bookmark index 
  as well as SVG view.
		
  Copyright (c) 2001-2007 by PDFTron Systems Inc. All Rights Reserved. 
-->
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>

  <xsl:output method='html' indent='yes' doctype-public='-//W3C//DTD HTML 3.2 Final//EN'/>

  <xsl:template match='/'>
    <HTML>
      <HEAD>
        <TITLE><xsl:value-of select='doc/info/title'/></TITLE>
      </HEAD>
        <FRAMESET BORDER="3" FRAMEBORDER="yes" FRAMESPACING="3" COLS=" 200,* " TOPMARGIN="0" LEFTMARGIN="0" MARGINHEIGHT="0" MARGINWIDTH="0">
	  <FRAME NAME="sidepanel" src="{doc/@name}.html" target="view" framespacing='6' topmargin='3' leftmargin='3' marginheight='3' marginwidth='3'/>
	  <FRAME NAME="view" src="{doc/pages/page/@href}" framespacing='6' topmargin='0' leftmargin='0' marginheight='0' marginwidth='0'/>
	</FRAMESET>
    </HTML>
  </xsl:template>
   
</xsl:stylesheet>
